Subject: Re: LTP recv/recvmsg tests failing on 3.17

From: Chuck Ebbert <[email-masked]>
Date: Tue, 23 Sep 2014 10:39:33 -0500

On Tue, 23 Sep 2014 10:57:41 -0400
Willem de Bruijn <[email-masked]> wrote:

> I think applications simply cannot assume a consistent
> return value when passing unsupported combinations
> of flags. This is undefined behavior.

Yeah, I think LTP is wrong here. There is no explicit test for invalid
combinations of flags and it was assuming there was.

But I was also wondering why we return EAGAIN here for no data waiting,
when we return EINVAL for the same case with a different type of data.
There's no spec and it's not documented, so I guess the answer is "it's
always been that way."